View | Details | Raw Unified | Return to bug 253995 | Differences between
and this patch

Collapse All | Expand All

(-)editors/sly-quicklisp/Makefile (+52 lines)
Line 0 Link Here
1
# $FreeBSD$
2
3
PORTNAME=	sly-quicklisp
4
PORTVERSION=	20200707
5
CATEGORIES=	editors elisp
6
PKGNAMESUFFIX=	${EMACS_PKGNAMESUFFIX}
7
8
MAINTAINER=	olce.freebsd.ports@certner.fr
9
COMMENT=	Basic Quicklisp support for SLY
10
11
LICENSE=	PD
12
13
MY_DEPENDS=	${PREFIX}/${EMACS_VERSION_SITE_LISPDIR}/sly/sly.el:editors/sly
14
BUILD_DEPENDS=	${MY_DEPENDS}
15
RUN_DEPENDS=	${MY_DEPENDS}
16
17
USES=		emacs
18
USE_GITHUB=	yes
19
GH_ACCOUNT=	joaotavora
20
GH_TAGNAME=	4707b62803d7a29f172e9c5ff993b91187a9aaf3
21
22
NO_ARCH=	yes
23
24
EMACS_COMPILE=	${EMACS_CMD} --batch --no-site-file -L ${WRKSRC} -f batch-byte-compile
25
26
PLIST_THIS_LISPDIR=	${EMACS_VERSION_SITE_LISPDIR}/${PORTNAME}
27
THIS_LISPDIR=		${PREFIX}/${PLIST_THIS_LISPDIR}
28
PLIST_SUB+=		THIS_LISPDIR=${PLIST_THIS_LISPDIR}
29
30
# File is buggy and can't be used as documented upstream
31
EXCLUDED_FILES=	${PORTNAME}-autoloads.el
32
33
OPTIONS_DEFINE=	DOCS
34
35
PORTDOCS=	README.md screenshot.png
36
37
do-build:
38
	cd ${WRKSRC} && ${EMACS_COMPILE} sly-*.el
39
40
do-install:
41
	@${MKDIR} ${STAGEDIR}${THIS_LISPDIR}
42
	(cd ${WRKSRC} && \
43
		${COPYTREE_SHARE} . ${STAGEDIR}${THIS_LISPDIR} \
44
		"! ( -depth 1 ( ${EXCLUDED_FILES:C/^(.*)$/-name \1 -o/} \
45
			${PORTDOCS:C/^(.*)$/-name \1 -o/} \
46
			-name LICENSE -o -name *\.md -o -name \.[^.]* ) )")
47
48
post-install-DOCS-on:
49
	${MKDIR} ${STAGEDIR}${DOCSDIR}
50
	${INSTALL_DATA} ${PORTDOCS:%=${WRKSRC}/%} ${STAGEDIR}${DOCSDIR}
51
52
.include <bsd.port.mk>
(-)editors/sly-quicklisp/distinfo (+3 lines)
Line 0 Link Here
1
TIMESTAMP = 1613654208
2
SHA256 (joaotavora-sly-quicklisp-20200707-4707b62803d7a29f172e9c5ff993b91187a9aaf3_GH0.tar.gz) = 3971edb307545f8389f113e3eca28fc5325cfe26a23b28a480a30b8086e061c7
3
SIZE (joaotavora-sly-quicklisp-20200707-4707b62803d7a29f172e9c5ff993b91187a9aaf3_GH0.tar.gz) = 45904
(-)editors/sly-quicklisp/files/patch-sly-quicklisp.el (+13 lines)
Line 0 Link Here
1
--- sly-quicklisp.el.orig	2020-07-07 16:35:00 UTC
2
+++ sly-quicklisp.el
3
@@ -91,10 +91,5 @@ in `sly-editing-mode-hook', i.e. lisp files."
4
                                        sly-quicklisp--enabled-dists)
5
                              "NO QL dists reported so far. Load a system using `sly-quickload'")))
6
 
7
-;;; Automatically add ourselves to `sly-contribs' when this file is loaded
8
-;;;###autoload
9
-(with-eval-after-load 'sly
10
-  (add-to-list 'sly-contribs 'sly-quicklisp 'append))
11
-
12
 (provide 'sly-quicklisp)
13
 ;;; sly-quicklisp.el ends here
(-)editors/sly-quicklisp/pkg-descr (+4 lines)
Line 0 Link Here
1
sly-quicklisp is an external contrib for SLY that provides a `sly-quickload'
2
command (C-c C-d C-q) that prompts the user for a package to install.
3
4
WWW: https://github.com/joaotavora/sly-quicklisp
(-)editors/sly-quicklisp/pkg-message (+27 lines)
Line 0 Link Here
1
[
2
{ type: install
3
  message: <<EOM
4
To use the sly-quicklisp contrib, you must:
5
1. Register sly-quicklisp into SLY. You just have to add this line to some init
6
   file:
7
(require 'sly-quicklisp)
8
   Doing this is not strictly necessary if you want to automatically activate
9
   this contrib using `sly-contribs' (see below), but it never hurts.
10
   This contrib's automatic activation at load was disabled, contrary to what
11
   upstream does. Upstream's autoloads file is consequently not necessary, and
12
   not included in this package.
13
2. Ensure that Quicklisp is loaded by your Common Lisp implementation. If this
14
   is not the case, an error will be signaled at contrib activation, from which
15
   you can recover by using SLY's CONTINUE restart (will disable the contrib).
16
17
If you want sly-quicklisp to be automatically activated on each new SLY
18
session, put it in the `sly-contribs' list. E.g., you can add something like
19
this in some Emacs' init file:
20
(setq sly-contribs '(sly-fancy sly-quicklisp))
21
or customize the variable.
22
23
To enable it on demand in already running SLY sessions instead, just use the
24
`sly-enable-contrib' command, or modify `sly-contribs' and run `sly-setup'.
25
EOM
26
}
27
]
(-)editors/sly-quicklisp/pkg-plist (+6 lines)
Line 0 Link Here
1
%%THIS_LISPDIR%%/sly-quicklisp-tests.el
2
%%THIS_LISPDIR%%/sly-quicklisp-tests.elc
3
%%THIS_LISPDIR%%/sly-quicklisp.el
4
%%THIS_LISPDIR%%/sly-quicklisp.elc
5
%%THIS_LISPDIR%%/slynk-quicklisp.asd
6
%%THIS_LISPDIR%%/slynk-quicklisp.lisp

Return to bug 253995